import javax.persistence.EntityManager;
import javax.annotation.*;
import javax.ejb.*;
import java.util.*;
import javax.persistence.*;

@Stateless
@Remote({SessionRemote.class})

public class SessionBean implements SessionRemote {
    
    @PersistenceContext EntityManager em;

    public boolean persistRemote(Object obj){
      boolean done=false;
      try {        
          em.persist(obj);
          done = true;
      } catch(Exception ex){
          ex.printStackTrace();
      }
      return done;
    }


    public boolean mergeRemote(Object obj){
      boolean done=false;
      try {        
          em.merge(obj);
          done = true;
      } catch(Exception ex){
          ex.printStackTrace();
      }
      return done;
    }

    public boolean removeRemote(Object obj){
      boolean done=false;
      try {        
          Object toDelete = em.merge(obj);
          em.remove(toDelete);
          done = true;
      } catch(Exception ex){
          ex.printStackTrace();
      }
      return done;
    }

    public Person findPerson(String pId) {
      Person person=null;
      try {
          person = em.find(Person.class, new PersonPK(pId));
      } catch(Exception ex){
          ex.printStackTrace();
      }
      return person;
    }

    
}    








